FilterTransformer (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.filter.FilterTransformer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.filter
Class FilterTransformer

    java.lang.Object
      org.biojava.bio.seq.filter.FilterTransformer

All Implemented Interfaces:
  Visitor

    public class FilterTransformer

extends Object
implements Visitor

Base-class for visitors that re-write a filter tree.

This filter transformer will just duplicate a tree, using the same leaf instances, and re-creating all logical filters, like And and ByDescendant.

Author:
  Matthew Pocock

Constructor Summary
`FilterTransformer()`

Method Summary
`FeatureFilter` | `and(FeatureFilter.And and, FeatureFilter c1, FeatureFilter c2)`
`FeatureFilter` | `byAncestor(FeatureFilter.ByAncestor ancestor, FeatureFilter c)`
`FeatureFilter` | `byChild(FeatureFilter.ByChild child, FeatureFilter c)`
`FeatureFilter` | `byDescendant(FeatureFilter.ByDescendant desc, FeatureFilter c)`
`FeatureFilter` | `byParent(FeatureFilter.ByParent parent, FeatureFilter c)`
`FeatureFilter` | `featureFilter(FeatureFilter filter)`
`FeatureFilter` | `not(FeatureFilter.Not not, FeatureFilter c)`
`FeatureFilter` | `onlyChildren(FeatureFilter.OnlyChildren child, FeatureFilter c)`
`FeatureFilter` | `onlyDescendants(FeatureFilter.OnlyDescendants desc, FeatureFilter c)`
`FeatureFilter` | `or(FeatureFilter.Or or, FeatureFilter c1, FeatureFilter c2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterTransformer

    public FilterTransformer()

Method Detail

### featureFilter

    public FeatureFilter featureFilter(FeatureFilter filter)

### and

    public FeatureFilter and(FeatureFilter.And and,
                             FeatureFilter c1,
                             FeatureFilter c2)

### or

    public FeatureFilter or(FeatureFilter.Or or,
                            FeatureFilter c1,
                            FeatureFilter c2)

### not

    public FeatureFilter not(FeatureFilter.Not not,
                             FeatureFilter c)

### byParent

    public FeatureFilter byParent(FeatureFilter.ByParent parent,
                                  FeatureFilter c)

### byAncestor

    public FeatureFilter byAncestor(FeatureFilter.ByAncestor ancestor,
                                    FeatureFilter c)

### onlyChildren

    public FeatureFilter onlyChildren(FeatureFilter.OnlyChildren child,
                                      FeatureFilter c)

### onlyDescendants

    public FeatureFilter onlyDescendants(FeatureFilter.OnlyDescendants desc,
                                         FeatureFilter c)

### byChild

    public FeatureFilter byChild(FeatureFilter.ByChild child,
                                 FeatureFilter c)

### byDescendant

    public FeatureFilter byDescendant(FeatureFilter.ByDescendant desc,
                                      FeatureFilter c)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD